Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.complex
Class ComplexElementFactory

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.complex.ComplexElementFactory

public class ComplexElementFactory
extends Object

ComplexElementFactory.java Created: Tue Feb 29 00:21:47 2000

Version:
  $Id: ComplexElementFactory.java,v 1.6 2001/08/16 14:30:21 white Exp $
Author:
  Phillip Lord

Constructor Summary
`ComplexElementFactory()`

Method Summary
`static ComplexElement[]` | `addComplexElement(ComplexElement[] res, Modification[] mod)`
`static ComplexElement` | `addComplexElement(ComplexElement elem, Modification mod)`
`static ComplexElement[]` | `addComplexElement(Residue[] res, Modification[] mod)`
`static ComplexElement` | `addComplexElement(Residue res, Modification mod)`
`static ComplexElement` | `getComplexElement(Residue elem)`
`static ComplexElement` | `removeComplexElement(ComplexElement elem, Modification mod)`
`static void` | `setComplexElementFactory(ComplexElementFactoryInterface factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexElementFactory

    public ComplexElementFactory()

Method Detail

### setComplexElementFactory

    public static void setComplexElementFactory(ComplexElementFactoryInterface factory)

### getComplexElement

    public static ComplexElement getComplexElement(Residue elem)

### addComplexElement

    public static ComplexElement addComplexElement(Residue res,
                                                   Modification mod)

### addComplexElement

    public static ComplexElement addComplexElement(ComplexElement elem,
                                                   Modification mod)

### addComplexElement

    public static ComplexElement[] addComplexElement(Residue[] res,
                                                     Modification[] mod)

### addComplexElement

    public static ComplexElement[] addComplexElement(ComplexElement[] res,
                                                     Modification[] mod)

### removeComplexElement

    public static ComplexElement removeComplexElement(ComplexElement elem,
                                                      Modification mod)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD